% encontrar tiempo que debe estar sumergido el recipiente
[t,y] = ode45('temperaturasRL',[0 2],[150 150]);
plot(t,y(:,1),'r')
hold on
plot(t,y(:,2))
legend('Liquido','Recipiente')

% ver cuando la temperatura del liquido es aproximadamente igual a 70
plot(t,70*ones(length(t),1),'k');

% la temperatura del recipiente es 70 entre 1 y 1.2 horas
% si se quiere averiguar de manera exacta, se puede buscar fzero de la
% siguiente funcion
% pero basta que los estudiantes encuentren el valor mirando solo el
% grafico de L
t = fzero('extime',1);
disp('temperatura de liquido es 70')
t
